# Uses of Interface
org.codehaus.commons.compiler.WarningHandler

Packages that use WarningHandler
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of WarningHandler in org.codehaus.commons.compiler

Fields in org.codehaus.commons.compiler declared as WarningHandler
Modifier and Type
Field
Description
`protected WarningHandler`
AbstractCompiler.`warningHandler`
Stores the value configured with `AbstractCompiler.setWarningHandler(WarningHandler)`.
Methods in org.codehaus.commons.compiler with parameters of type WarningHandler
Modifier and Type
Method
Description
`void`
AbstractCompiler.`setWarningHandler(WarningHandler warningHandler)`
`void`
IClassBodyEvaluator.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a custom `WarningHandler`.
`void`
ICompiler.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a custom `WarningHandler`.
`void`
IExpressionEvaluator.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a custom `WarningHandler`.
`void`
IScriptEvaluator.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a custom `WarningHandler`.
`void`
ISimpleCompiler.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a custom `WarningHandler` which is invoked for each warning.

## Uses of WarningHandler in org.codehaus.commons.compiler.jdk

Methods in org.codehaus.commons.compiler.jdk with parameters of type WarningHandler
Modifier and Type
Method
Description
`void`
ClassBodyEvaluator.`setWarningHandler(WarningHandler warningHandler)`
`void`
ExpressionEvaluator.`setWarningHandler(WarningHandler warningHandler)`
`void`
ScriptEvaluator.`setWarningHandler(WarningHandler warningHandler)`
`void`
SimpleCompiler.`setWarningHandler(WarningHandler warningHandler)`

## Uses of WarningHandler in org.codehaus.janino

Classes in org.codehaus.janino that implement WarningHandler
Modifier and Type
Class
Description
`class`
`FilterWarningHandler`
Invokes a delegate iff the handle of the warning matches one or more of a set of `StringPattern`s.
Methods in org.codehaus.janino with parameters of type WarningHandler
Modifier and Type
Method
Description
`void`
ClassBodyEvaluator.`setWarningHandler(WarningHandler warningHandler)`
`void`
ExpressionEvaluator.`setWarningHandler(WarningHandler warningHandler)`
`void`
JavaSourceClassLoader.`setWarningHandler(WarningHandler warningHandler)`
`void`
JavaSourceIClassLoader.`setWarningHandler(WarningHandler warningHandler)`
`void`
Parser.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a `WarningHandler`.
`void`
ScriptEvaluator.`setWarningHandler(WarningHandler warningHandler)`
`void`
SimpleCompiler.`setWarningHandler(WarningHandler warningHandler)`
`void`
TokenStream.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a `WarningHandler`.
`void`
TokenStreamImpl.`setWarningHandler(WarningHandler warningHandler)`
`void`
UnitCompiler.`setWarningHandler(WarningHandler warningHandler)`
By default, warnings are discarded, but an application my install a custom `WarningHandler`.
Constructors in org.codehaus.janino with parameters of type WarningHandler
Modifier
Constructor
Description
``
`FilterWarningHandler(StringPattern[] handlePatterns, WarningHandler delegate)`
Popular values for the `handlePatterns` parameter are `StringPattern.PATTERNS_ALL` and `StringPattern.PATTERNS_NONE`.